SystemOrganization addCategory: #LoadCoral!

Object subclass: #CoralLoader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LoadCoral'!

!CoralLoader commentStamp: 'on 2/24/2009 13:49' prior: 0!
"From a fresh image, first install this loader, then run the load script as follows:"

ScriptLoader new installer ss project: 'Coral'; install: 'CoralLoader'.
CoralLoader load.!

!CoralLoader class methodsFor: 'initialization' stamp: 'TestRunner 12/15/2009 16:08'!
info
	| info |
	info := Workspace new.
	info contents: '"Coral is being automatically loaded from http://www.squeaksource.com/Coral/. To reload a later version 	from this image, simply evaluate: CoralLoader load."
	Pay attention that this version is in flux.
	This version is based on PetitParser. The scriptInterpreterTests are currently red and this is not a problem.	
			CoralLoader load.

			'.
	info openLabel: 'READ ME FIRST'! !

!CoralLoader class methodsFor: 'initialization' stamp: 'sd 10/3/2009 22:05'!
initialize
	super initialize.
	self info.
! !

!CoralLoader class methodsFor: 'public' stamp: 'StephaneDucasse 12/9/2009 16:19'!
load
	"self load"
	| gofer instClass |
	gofer := Gofer new. 
	gofer squeaksource: 'rb';
		addVersion: 'AST-Core-lr.33'; load.
	gofer squeaksource: 'OSProcess';
		addPackage: 'OSProcess'; load.
	gofer url: 'http://squeaksource.blueplane.jp/FileMan';
		addPackage:  'FileMan';
		load.
	gofer renggli: 'petit';
		addVersion: 'PetitParser-lr.122' ; 
		addVersion: 'PetitSmalltalk-lr.13'; load.
	gofer squeaksource: 'Coral';
		addPackage:  'Coral'; load
		
		
		
		

! !

!CoralLoader class methodsFor: 'public' stamp: 'StephaneDucasse 10/25/2009 23:19'!
loadOldVersion
	"self load"
	
	| instClass |
	instClass := self environment 
		at: #Installer
		ifAbsent: [ self new installer ].
	instClass ss
		project: 'AST';
		install: 'AST-lr.173'.
	instClass ss
		project: 'SmaccDevelopment';
		install: 'SmaCC-lr.13.mcz'.
	instClass ss
		project: 'NewCompiler';
		install: 'NewCompiler-marcus_denker.denker.296'.
	instClass ss
		project: 'OSProcess';
		install: 'OSProcess-dtl.51'.
	instClass ss
		project: 'AST';
		install: 'NewParser-marcus.denker.7'.
	instClass ss
		project: 'Coral';
		install: 'Coral'.
		
		
		
		
		

! !

!CoralLoader class methodsFor: 'public' stamp: 'sd 12/7/2009 13:33'!
loadPetitParserCoralBasedCode 
	"self loadPetitParserCoralBasedCode"
		
	| instClass |
	instClass := self environment 
		at: #Installer
		ifAbsent: [ self new installer ].
	instClass ss
		project: 'rb';
		install: 'AST-Core-lr.33'.
	instClass ss
		project: 'OSProcess';
		install: 'OSProcess-dtl.51'.
	instClass lukas
		project: 'petit';
		install: 'PetitParser-lr.122'.
	instClass lukas
		project: 'petit';
		install: 'PetitSmalltalk-lr.13'.
	instClass ss
		project: 'Coral';
		install:  'PetitCoral'
		
		
		
		

! !

!CoralLoader class methodsFor: 'public' stamp: 'StephaneDucasse 12/9/2009 16:21'!
sync
	"to sync local and remote repositories"
	"self sync"
	Gofer new
		squeaksource: 'Coral';
		addVersion: 'Coral';
		addVersion: 'LoadCoral';
		push.
	Gofer new
		squeaksource: 'Coral';
		addVersion: 'Coral';
		addVersion: 'LoadCoral';
		pull.

	! !

!CoralLoader methodsFor: 'utils' stamp: 'on 2/24/2009 13:35'!
installer
	"self new installer"
	
	"NB: code clone from ScriptLoader>>installer"
	
	| mc  files fileToLoad version |
	mc := Smalltalk at: #MCHttpRepository ifPresent: [:repoClass | repoClass location: 'www.squeaksource.com/Installer' user: 'squeak' password: 'squeak'].
	files := mc readableFileNames asSortedCollection: [:a :b | [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b findBetweenSubStrs: #($.)) allButLast last asInteger] on: Error do: [:ex | false]].
	fileToLoad := files detect: [ :aFile | aFile beginsWith: 'Installer-Core' ] ifNone: [ nil ].
	version := mc versionFromFileNamed: fileToLoad.
	version workingCopy repositoryGroup addRepository: mc.
	mc creationTemplate: mc asCreationTemplate.
	version load.
	
	^ (Smalltalk at: #Installer)! !
CoralLoader initialize!
